This version is no longer maintained and links may not work. We recommend you use the version located on the Learn and Support site:
System requirements for QuickBooks 2017 and Enterprise Solutions 17.0

Detailed information

IMPORTANT: If the individual product requirements do not specifically state that an operating system, hardware, software, firewall or antivirus is supported, it has not been tested. Intuit cannot promise that your experience will be trouble-free. If you encounter problems outside of the supported environment, technical support will be limited to standard troubleshooting. If unresolved, the program should be returned to a supported environment for additional support. Also note that should Microsoft no longer support the stated products, then neither shall Intuit.

QuickBooks Desktop Pro/Premier 2017 and Enterprise 17.0

Other Articles To Try